Subject: bug#49587: Where are links in describe-symbol minor-mode?

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 22 Jul 2022 17:04:43 +0200

Juri Linkov <[email-masked]> writes:

> With a setup like this
>
>   (push `("\\*Help\\*" display-buffer-same-window
>           (inhibit-same-window . nil))
>         display-buffer-alist)
>
>   M-x windmove-display-left RET
>   C-h o dired-hide-details-mode RET
>
> the *Help* buffer is displayed in two windows.

I see.

> Does `C-h o' really need to display the same buffer twice?

No, I think it was just implemented that way because it was simple.  As
somebody said in this thread, those functions should be rewritten
"inside out" -- i.e., separate out the stuff inside those commands that
actually generate the text to that they can be reused.  I'll have a go
at doing that...

> BTW, I noticed that the generated docstring of define-minor-mode
> refers back to the help of both function/variable, whereas it should
> refer only to the variable:

[...]

>  To check whether the minor mode is enabled in the current buffer,
> -evaluate `%s'.
> +evaluate the variable `%s'.

No, it's written in that hand-wavey way because the %s there may be a
getter function -- it might not be a variable.  It could be rewritten to
use totally different sentences in the variable vs. getter cases,
though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no